org.apache.nutch.crawl

## Class CrawlStatus

- java.lang.Object
- - org.apache.nutch.crawl.CrawlStatus

-     public class CrawlStatus
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `STATUS_FETCHED` Page was successfully fetched.
    `static byte` | `STATUS_GONE` Page no longer exists.
    `static byte` | `STATUS_NOTMODIFIED` Fetching successful - page is not modified.
    `static byte` | `STATUS_REDIR_PERM` Page permanently redirects to other page.
    `static byte` | `STATUS_REDIR_TEMP` Page temporarily redirects to other page.
    `static byte` | `STATUS_RETRY` Fetching unsuccessful, needs to be retried (transient errors).
    `static byte` | `STATUS_UNFETCHED` Page was not fetched yet.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CrawlStatus()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getName(byte status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATUS_UNFETCHED

          public static final byte STATUS_UNFETCHED

      Page was not fetched yet.
      See Also:
        Constant Field Values

    - #### STATUS_FETCHED

          public static final byte STATUS_FETCHED

      Page was successfully fetched.
      See Also:
        Constant Field Values

    - #### STATUS_GONE

          public static final byte STATUS_GONE

      Page no longer exists.
      See Also:
        Constant Field Values

    - #### STATUS_REDIR_TEMP

          public static final byte STATUS_REDIR_TEMP

      Page temporarily redirects to other page.
      See Also:
        Constant Field Values

    - #### STATUS_REDIR_PERM

          public static final byte STATUS_REDIR_PERM

      Page permanently redirects to other page.
      See Also:
        Constant Field Values

    - #### STATUS_RETRY

          public static final byte STATUS_RETRY

      Fetching unsuccessful, needs to be retried (transient errors).
      See Also:
        Constant Field Values

    - #### STATUS_NOTMODIFIED

          public static final byte STATUS_NOTMODIFIED

      Fetching successful - page is not modified.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CrawlStatus

          public CrawlStatus()

  - ### Method Detail

    - #### getName

          public static java.lang.String getName(byte status)

Copyright © 2019 The Apache Software Foundation